--<ScriptOptions statementTerminator=";"/>

CREATE TABLE SSPCOTFUNCIONARIO (
		CODIGOCOMPANIA INTEGER NOT NULL,
		CODIGOFUNCIONARIO VARCHAR(64) NOT NULL,
		ESTADOFUNCIONARIO VARCHAR(3) NOT NULL,
		CODIGOINTERNO VARCHAR(10),
		NIVELCONFIGURACION INTEGER,
		OPERAMATRIZ VARCHAR(1) NOT NULL,
		USUARIOFUNCIONARIO VARCHAR(32) NOT NULL,
		CODIGOAREATRABAJO INTEGER NOT NULL,
		CODIGOPERSONA DECIMAL(10 , 0),
		USUARIOREGISTRO VARCHAR(32) NOT NULL,
		FECHAREGISTRO TIMESTAMP NOT NULL,
		USUARIOMODIFICACION VARCHAR(32),
		FECHAMODIFICACION TIMESTAMP,
		CELULARSMS VARCHAR(16),
		RECIBESMS VARCHAR(3) DEFAULT NULL,
		IDSERVICIOSMS VARCHAR(32)
	);

CREATE INDEX SSPCORFKFUPKARTR ON SSPCOTFUNCIONARIO (CODIGOCOMPANIA ASC, CODIGOAREATRABAJO ASC);

CREATE INDEX SSPCORFKFUPKOP ON SSPCOTFUNCIONARIO (IDSERVICIOSMS ASC);

CREATE INDEX SSPCORFKFUPKCO ON SSPCOTFUNCIONARIO (CODIGOCOMPANIA ASC);

CREATE INDEX SSPCORFKFUPKPE ON SSPCOTFUNCIONARIO (CODIGOPERSONA ASC);

CREATE UNIQUE INDEX SSPCOIFUNUSU ON SSPCOTFUNCIONARIO (CODIGOCOMPANIA ASC, USUARIOFUNCIONARIO ASC);

CREATE UNIQUE INDEX SSPCOTFUNCIONARIO ON SSPCOTFUNCIONARIO (CODIGOCOMPANIA ASC, CODIGOFUNCIONARIO ASC);

CREATE INDEX SSPCORFKFUPKUS ON SSPCOTFUNCIONARIO (USUARIOFUNCIONARIO ASC);

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORPKFUNCIONARIO PRIMARY KEY (CODIGOCOMPANIA, CODIGOFUNCIONARIO);

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORFKFUPKPE FOREIGN KEY (CODIGOPERSONA)
	REFERENCES SSPCOTPERSONA (CODIGOPERSONA)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORFKFUPKOP FOREIGN KEY (IDSERVICIOSMS)
	REFERENCES SSSMSTOPERADORCONFIG (IDSERVICIO)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORFKFUPKUS FOREIGN KEY (USUARIOFUNCIONARIO)
	REFERENCES KSSEGTUSER (USERID)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORFKFUPKARTR FOREIGN KEY (CODIGOCOMPANIA, CODIGOAREATRABAJO)
	REFERENCES SSPCOTAREATRABAJO (CODIGOCOMPANIA, CODIGOAREATRABAJO)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

ALTER TABLE SSPCOTFUNCIONARIO ADD CONSTRAINT SSPCORFKFUPKCO FOREIGN KEY (CODIGOCOMPANIA)
	REFERENCES SSPCOTCOMPANIA (CODIGOCOMPANIA)
	ON DELETE RESTRICT
	ON UPDATE RESTRICT;

