package ec.com.smx.corpv2.service;

import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.ejb.Local;
import javax.ejb.Remote;
import javax.ejb.SessionContext;
import javax.ejb.Singleton;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import ec.com.smx.corpv2.dto.FuncionarioDTO;
import ec.com.smx.corpv2.exception.CorporativoException;
import ec.com.smx.frameworkv2.dto.UserDTO;
import ec.com.smx.frameworkv2.service.UsuarioService;
import ec.com.smx.frameworkv2.service.UsuarioServiceLocal;

/**
 * Session Bean implementation class FuncionarioService
 */
@Singleton(name="FuncionarioServiceImpl")
@Remote(FuncionarioServiceRemote.class)
@Local(FuncionarioServiceLocal.class)
@TransactionAttribute(TransactionAttributeType.REQUIRED)

public class FuncionarioServiceImpl implements FuncionarioServiceRemote, FuncionarioServiceLocal {
	@PersistenceContext(unitName="prjCorporativoV2")
	private EntityManager entityManager;
	@EJB(beanName="UsuarioServiceImpl",beanInterface=UsuarioServiceLocal.class)
	private UsuarioService usuarioService;
    /**
     * Default constructor. 
     */
    public FuncionarioServiceImpl() {
    }
	public void crearFuncionario(FuncionarioDTO funcionarioDTO) throws CorporativoException {
			UserDTO usuarioDTO = funcionarioDTO.getUsuarioDTO();
			usuarioDTO = usuarioService.crearUsuario(usuarioDTO);	
			funcionarioDTO.setUsuariofuncionario(usuarioDTO.getUserid());
			funcionarioDTO.setUsuarioDTO(null);
			entityManager.persist(funcionarioDTO);
			//userTransaction.commit();
			//throw new CorporativoException("error no controlado");
	}
    
    
    

}
