package ec.com.smx.corpv2.dto;

import java.io.Serializable;
import java.sql.Timestamp;

import javax.persistence.CascadeType;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import ec.com.smx.frameworkv2.dto.UserDTO;


/**
 * The persistent class for the SSPCOTFUNCIONARIO database table.
 * 
 */
@Entity
@Table(name="SSPCOTFUNCIONARIO")
public class FuncionarioDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private FuncionarioDTOPK id;

	private String celularsms;

	private int codigoareatrabajo;

	private String codigointerno;

	private java.math.BigDecimal codigopersona;

	private String estadofuncionario;

	private Timestamp fechamodificacion;

	private Timestamp fecharegistro;

	private String idserviciosms;

	private int nivelconfiguracion;

	private String operamatriz;

	private String recibesms;

	private String usuariofuncionario;

	private String usuariomodificacion;

	private String usuarioregistro;
	
	@ManyToOne(optional=true, fetch=FetchType.LAZY//,cascade={CascadeType.MERGE,CascadeType.PERSIST}
	)
	@JoinColumn(name="usuariofuncionario",referencedColumnName="userid",insertable=false,updatable=false,nullable = true)	
	private UserDTO usuarioDTO;

    public FuncionarioDTO() {
    }

	public FuncionarioDTOPK getId() {
		return this.id;
	}

	public void setId(FuncionarioDTOPK id) {
		this.id = id;
	}
	
	public String getCelularsms() {
		return this.celularsms;
	}

	public void setCelularsms(String celularsms) {
		this.celularsms = celularsms;
	}

	public int getCodigoareatrabajo() {
		return this.codigoareatrabajo;
	}

	public void setCodigoareatrabajo(int codigoareatrabajo) {
		this.codigoareatrabajo = codigoareatrabajo;
	}

	public String getCodigointerno() {
		return this.codigointerno;
	}

	public void setCodigointerno(String codigointerno) {
		this.codigointerno = codigointerno;
	}

	public java.math.BigDecimal getCodigopersona() {
		return this.codigopersona;
	}

	public void setCodigopersona(java.math.BigDecimal codigopersona) {
		this.codigopersona = codigopersona;
	}

	public String getEstadofuncionario() {
		return this.estadofuncionario;
	}

	public void setEstadofuncionario(String estadofuncionario) {
		this.estadofuncionario = estadofuncionario;
	}

	public Timestamp getFechamodificacion() {
		return this.fechamodificacion;
	}

	public void setFechamodificacion(Timestamp fechamodificacion) {
		this.fechamodificacion = fechamodificacion;
	}

	public Timestamp getFecharegistro() {
		return this.fecharegistro;
	}

	public void setFecharegistro(Timestamp fecharegistro) {
		this.fecharegistro = fecharegistro;
	}

	public String getIdserviciosms() {
		return this.idserviciosms;
	}

	public void setIdserviciosms(String idserviciosms) {
		this.idserviciosms = idserviciosms;
	}

	public int getNivelconfiguracion() {
		return this.nivelconfiguracion;
	}

	public void setNivelconfiguracion(int nivelconfiguracion) {
		this.nivelconfiguracion = nivelconfiguracion;
	}

	public String getOperamatriz() {
		return this.operamatriz;
	}

	public void setOperamatriz(String operamatriz) {
		this.operamatriz = operamatriz;
	}

	public String getRecibesms() {
		return this.recibesms;
	}

	public void setRecibesms(String recibesms) {
		this.recibesms = recibesms;
	}

	public String getUsuariofuncionario() {
		return this.usuariofuncionario;
	}

	public void setUsuariofuncionario(String usuariofuncionario) {
		this.usuariofuncionario = usuariofuncionario;
	}

	public String getUsuariomodificacion() {
		return this.usuariomodificacion;
	}

	public void setUsuariomodificacion(String usuariomodificacion) {
		this.usuariomodificacion = usuariomodificacion;
	}

	public String getUsuarioregistro() {
		return this.usuarioregistro;
	}

	public void setUsuarioregistro(String usuarioregistro) {
		this.usuarioregistro = usuarioregistro;
	}

	public UserDTO getUsuarioDTO() {
		return usuarioDTO;
	}

	public void setUsuarioDTO(UserDTO usuarioDTO) {
		this.usuarioDTO = usuarioDTO;
	}
	
	

}